import { DependencyType } from '../sasjsCli';
export interface Leaf {
    content: string;
    dependencies: string[];
    location: string;
}
export interface Tree {
    [key: string]: Leaf;
}
export declare class CompileTree {
    private _tree;
    private _treePath;
    constructor(treePath: string, tree?: Tree);
    get tree(): Tree;
    getLeaf(location: string): Leaf;
    addLeaf(leaf: Leaf): Leaf;
    saveTree(): Promise<void>;
    getDepContent(depPath: string, depType?: DependencyType): Promise<string>;
    private validateDependency;
    private getFileName;
}
export declare const removeHeader: (content: string) => string;
