/**
 * Converts a SAS Date or Datetime to a JavaScript date object, given the logic below:
 *
 * A JS Date contains the number of _milliseconds_ since 01/01/1970
 * A SAS Date contains the number of _days_ since 01/01/1960
 * A SAS Datetime contains the number of _seconds_ since 01/01/1960
 *
 * @param sasValue SAS Date or Datetime to be converted. The type could be `number` or `string.
 * @param unit Unit from which to convert the SAS Date / Datetime, eg `sasdate | sasdatetime`
 * @returns JavaScript Date object
 */
export declare const convertSasDateToJsDate: (sasValue: number | string, unit: 'sasdate' | 'sasdatetime') => Date;
