"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.prefixMessage = void 0;
const prefixMessage = (err, messagePrefix) => {
    if (typeof err === 'object') {
        if (err.hasOwnProperty('message')) {
            err.message = messagePrefix + err.message;
        }
        else {
            if (err.hasOwnProperty('body')) {
                if (typeof err.body === 'object') {
                    err.message = err.body.message
                        ? messagePrefix + err.body.message
                        : messagePrefix;
                }
                if (typeof err.body === 'string') {
                    let body;
                    try {
                        body = JSON.parse(err.body);
                    }
                    catch (error) {
                        err.message = messagePrefix;
                        return err;
                    }
                    body.message = body.message
                        ? messagePrefix + body.message
                        : messagePrefix;
                    err.body = body;
                    return err;
                }
            }
            else
                return Object.assign(Object.assign({}, err), { message: messagePrefix });
        }
    }
    if (typeof err === 'string')
        err = messagePrefix + err;
    return err;
};
exports.prefixMessage = prefixMessage;
//# sourceMappingURL=errorModifier.js.map