"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ServerTypeError = void 0;
const types_1 = require("../types");
class ServerTypeError extends Error {
    constructor(validOptions = []) {
        validOptions = [...new Set(validOptions)];
        let options = validOptions.length
            ? validOptions.join(', ').trim()
            : [types_1.ServerType.SasViya, types_1.ServerType.Sas9, types_1.ServerType.Sasjs]
                .join(', ')
                .trim();
        options = options.replace(/,\s([^,]*)$/, ' and $1');
        super(`Invalid server type: valid option${validOptions.length !== 1 ? 's' : ''} ${validOptions.length !== 1 ? 'are' : 'is'} ${options}`);
        this.name = 'ServerTypeError';
        Object.setPrototypeOf(this, ServerTypeError.prototype);
    }
}
exports.ServerTypeError = ServerTypeError;
//# sourceMappingURL=serverTypeError.js.map