import { Row } from '@fast-csv/format';
/**
 * reads a CSV file and returns parsed data
 * @param csvFilePath
 * @returns string[][]
 */
export declare const readCsv: (csvFilePath: string) => Promise<string[][]>;
/**
 * creates a csv file at given path with provided data
 * @param csvFilePath location where to create file
 * @param csvData data which needs to be populated in file
 * @param headers an array of column names
 */
export declare const createCsv: <T extends Row[]>(csvFilePath: string, csvData: T, headers: string[]) => Promise<void>;
/**
 * append new csv record if file exists else creates a new file
 * @param csvFilePath location where to create file
 * @param newRecord new record which needs to be appended
 * @param columns an array of header for file, i.e column names
 * @param prependId name of id column
 */
export declare const updateCsv: (csvFilePath: string, newRecord: any[], columns: string[], prependId?: string | undefined) => Promise<void>;
