import prompts from 'prompts';
export declare type InputType = 'number' | 'text' | 'select' | 'confirm';
export declare type InputValidator = (value: any) => string | boolean | Promise<string | boolean>;
export interface Choice {
    title: string;
    description?: string;
    value: string | number;
}
export declare const onCancel: () => never;
export declare const getNumber: (message: string, validator: InputValidator, defaultValue: number) => Promise<number>;
export declare const getString: (message: string, validator: InputValidator, defaultValue?: string) => Promise<string>;
export declare const getConfirmation: (message: string, defaultValue: boolean) => Promise<boolean>;
export declare const getChoice: (message: string, errorMessage: string, choices?: Choice[]) => Promise<number>;
export declare const getUrl: (message: string, errorMessage: string, defaultValue?: string) => Promise<string>;
export declare const readAndValidateInput: (type: InputType, fieldName: string, message: string, validator: InputValidator, defaultValue?: string | number | boolean, choices?: Choice[]) => Promise<prompts.Answers<string>>;
