"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.isSpecialMissing = exports.choiceValidator = exports.confirmationValidator = exports.urlValidator = void 0;
const valid_url_1 = __importDefault(require("valid-url"));
const urlValidator = (value, errorMessage) => !!valid_url_1.default.isHttpUri(value) ||
    !!valid_url_1.default.isHttpsUri(value) ||
    value === '' ||
    errorMessage;
exports.urlValidator = urlValidator;
const confirmationValidator = (value) => value === true || value === false;
exports.confirmationValidator = confirmationValidator;
const choiceValidator = (value, numberOfChoices, errorMessage) => (value > 0 && value <= numberOfChoices) || errorMessage;
exports.choiceValidator = choiceValidator;
// This regex will match special missing
// `a-z` or `_` or `.` or '.[a-z]'
const isSpecialMissing = (value) => {
    // This regex can't cover the case with `..` two dots, so if we receive it that is false special missing
    if (typeof value === 'string' && value.includes('..'))
        return false;
    const regex = new RegExp('^(\\.)?[a-z_.]{1}$', 'i');
    return regex.test(value);
};
exports.isSpecialMissing = isSpecialMissing;
//# sourceMappingURL=validators.js.map