import { CompileTree } from '../compileTree';
export declare enum DependencyType {
    Macro = "Macro",
    Include = "Include",
    Binary = "Binary"
}
export declare enum DependencyHeader {
    Macro = "<h4> SAS Macros </h4>",
    Binary = "<h4> Binary Files </h4>",
    Include = "<h4> SAS Includes </h4>",
    DataInput = "<h4> Data Inputs </h4>",
    DataOutput = "<h4> Data Outputs </h4>",
    DeprecatedMacro = "<h4> Dependencies </h4>",
    DeprecatedInclude = "<h4> SAS Programs </h4>"
}
interface DepInfo {
    name: string;
    header: string;
    config: string;
    type: DependencyType;
}
export declare const getDepInfo: (depType: DependencyType, fileContent: string) => DepInfo;
export declare const getDependencies: (fileName: string | undefined, fileContent: string, folders: string[], depType: DependencyType, compileTree?: CompileTree | undefined) => Promise<string>;
export declare const getDeprecatedHeader: (fileContent: string, header: DependencyHeader.Macro | DependencyHeader.Include) => DependencyHeader.Macro | DependencyHeader.Include | DependencyHeader.DeprecatedMacro | DependencyHeader.DeprecatedInclude;
export {};
