import { Configuration, SASJsFileType, Target } from '../types';
import { CompileTree, Leaf } from '../compileTree';
export declare enum ProgramType {
    Init = "init",
    Term = "term"
}
interface getInitTermParams {
    configuration?: Configuration;
    target?: Target;
    fileType: SASJsFileType;
    buildSourceFolder: string;
    compileTree: CompileTree;
}
export declare const getInitTerm: ({ configuration, target, fileType, buildSourceFolder, compileTree }: getInitTermParams) => Promise<{
    init: string;
    initPath: string;
    term: string;
    termPath: string;
    startUpVars: string;
    initLeaf: Leaf | undefined;
    termLeaf: Leaf | undefined;
}>;
export declare const getProgram: ({ target, configuration, buildSourceFolder, fileType }: getInitTermParams, programType: ProgramType, compileTree: CompileTree) => Promise<{
    content: string;
    filePath: string;
    compileTreeLeaf?: Leaf | undefined;
}>;
export declare const mockGetProgram: (module: {
    getProgram: (param: getInitTermParams, programType: ProgramType, compileTree: CompileTree) => {};
}, fakeInit: string, fakeTerm: string) => void;
export {};
