"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.prioritiseDependencyOverrides = void 0;
const path_1 = __importDefault(require("path"));
const prioritiseDependencyOverrides = (dependencyNames, dependencyPaths, macroPaths = [], pathSeparator = path_1.default.sep) => {
    dependencyPaths = [...new Set(dependencyPaths)];
    dependencyNames.forEach((depFileName) => {
        const paths = dependencyPaths.filter((p) => p.includes(`${pathSeparator}${depFileName}`));
        let overriddenDependencyPaths = paths.filter((p) => !p.includes('node_modules'));
        if (macroPaths.length) {
            const foundInMacroPaths = overriddenDependencyPaths.filter((p) => {
                const pathExist = macroPaths.find((tm) => p.includes(tm));
                return pathExist ? true : false;
            });
            if (foundInMacroPaths.length)
                overriddenDependencyPaths = [foundInMacroPaths[0]];
        }
        if (overriddenDependencyPaths.length &&
            overriddenDependencyPaths.length != paths.length) {
            const pathsToRemove = paths.filter((el) => overriddenDependencyPaths.indexOf(el) < 0);
            dependencyPaths = dependencyPaths.filter((el) => pathsToRemove.indexOf(el) < 0);
        }
    });
    return dependencyPaths;
};
exports.prioritiseDependencyOverrides = prioritiseDependencyOverrides;
//# sourceMappingURL=prioritiseDependencyOverrides.js.map