"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.convertSecondsToHms = exports.generateTimestamp = exports.timestampToYYYYMMDDHHMMSS = void 0;
const formatter_1 = require("../formatter");
const timestampToYYYYMMDDHHMMSS = (timestamp = Date.now()) => {
    const date = new Date(timestamp);
    return ([
        date.getFullYear(),
        (0, formatter_1.padWithNumber)(date.getMonth() + 1),
        (0, formatter_1.padWithNumber)(date.getDate())
    ].join('/') +
        ' ' +
        [
            (0, formatter_1.padWithNumber)(date.getHours()),
            (0, formatter_1.padWithNumber)(date.getMinutes()),
            (0, formatter_1.padWithNumber)(date.getSeconds())
        ].join(':'));
};
exports.timestampToYYYYMMDDHHMMSS = timestampToYYYYMMDDHHMMSS;
const generateTimestamp = (sep = '', sepIndex) => {
    const date = new Date();
    let timestamp = [
        date.getUTCFullYear(),
        date.getUTCMonth() + 1,
        date.getUTCDate(),
        date.getUTCHours(),
        date.getUTCMinutes(),
        date.getUTCSeconds()
    ];
    timestamp = timestamp.map((item) => (0, formatter_1.padWithNumber)(item));
    if (sepIndex && sep && sepIndex < timestamp.length && sepIndex >= 0) {
        timestamp.splice(sepIndex, 0, sep);
    }
    timestamp = timestamp.join(sepIndex ? '' : sep);
    return timestamp;
};
exports.generateTimestamp = generateTimestamp;
const convertSecondsToHms = (totalSeconds) => {
    if (!totalSeconds)
        return '0 second';
    const totalMinutes = Math.floor(totalSeconds / 60);
    const hours = Math.floor(totalMinutes / 60);
    const minutes = totalMinutes % 60;
    const seconds = totalSeconds % 60;
    let result = '';
    if (hours > 0) {
        result = hours + ` hour${hours > 1 ? 's' : ''}`;
    }
    if (minutes > 0) {
        result += `${result ? ', ' : ''}${minutes} minute${minutes > 1 ? 's' : ''}`;
    }
    if (seconds > 0) {
        result += `${result ? ', ' : ''}${seconds} second${seconds > 1 ? 's' : ''}`;
    }
    return result;
};
exports.convertSecondsToHms = convertSecondsToHms;
//# sourceMappingURL=timestamp.js.map