import { DocConfig, AuthConfig, AuthConfigSas9, BuildConfig, DeployConfig, ServiceConfig, JobConfig, StreamConfig, TestConfig, SyncDirectoryMap } from './config';
import { ServerType } from './serverType';
import { HttpsAgentOptions } from './httpsAgentOptions';
import { Configuration } from '../types/configuration';
export interface TargetJson {
    name: string;
    serverUrl: string;
    serverType: ServerType;
    httpsAgentOptions?: HttpsAgentOptions;
    contextName?: string;
    serverName?: string;
    repositoryName?: string;
    appLoc: string;
    docConfig?: DocConfig;
    authConfig?: AuthConfig;
    authConfigSas9?: AuthConfigSas9;
    buildConfig?: BuildConfig;
    deployConfig?: DeployConfig;
    serviceConfig?: ServiceConfig;
    jobConfig?: JobConfig;
    streamConfig?: StreamConfig;
    macroFolders?: string[];
    programFolders?: string[];
    binaryFolders?: string[];
    isDefault?: boolean;
    testConfig?: TestConfig;
    syncDirectories?: SyncDirectoryMap[];
    sasjsBuildFolder?: string;
    sasjsResultsFolder?: string;
}
export declare class Target implements TargetJson {
    private _config;
    get name(): string;
    private _name;
    get serverUrl(): string;
    private _serverUrl;
    get serverType(): ServerType;
    private _serverType;
    get httpsAgentOptions(): HttpsAgentOptions | undefined;
    private _httpsAgentOptions;
    get appLoc(): string;
    private _appLoc;
    get docConfig(): DocConfig | undefined;
    private _docConfig;
    get authConfig(): AuthConfig | undefined;
    private _authConfig;
    get authConfigSas9(): AuthConfigSas9 | undefined;
    private _authConfigSas9;
    get buildConfig(): BuildConfig | undefined;
    private _buildConfig;
    get deployConfig(): DeployConfig | undefined;
    private _deployConfig;
    get serviceConfig(): ServiceConfig | undefined;
    private _serviceConfig;
    get jobConfig(): JobConfig | undefined;
    private _jobConfig;
    get streamConfig(): StreamConfig | undefined;
    private _streamConfig;
    get macroFolders(): string[] | undefined;
    private _macroFolders;
    get programFolders(): string[] | undefined;
    private _programFolders;
    get binaryFolders(): string[] | undefined;
    private _binaryFolders;
    get contextName(): string;
    private _contextName;
    get serverName(): string;
    private _serverName;
    get repositoryName(): string;
    private _repositoryName;
    get testConfig(): TestConfig | undefined;
    private _testConfig;
    get syncFolder(): string | undefined;
    private _syncFolder;
    get syncDirectories(): SyncDirectoryMap[] | undefined;
    private _syncDirectories;
    get sasjsBuildFolder(): string | undefined;
    private _sasjsBuildFolder;
    get sasjsResultsFolder(): string | undefined;
    private _sasjsResultsFolder;
    constructor(json: any, config?: Configuration);
    private getConfig;
    toJson(withDefaults?: boolean): TargetJson;
}
