import { ServerType, HttpsAgentOptions } from '.';
import { DocConfig, AuthConfig, AuthConfigSas9, BuildConfig, DeployConfig, JobConfig, ServiceConfig, StreamConfig, TestConfig, SyncDirectoryMap } from './config';
export declare const DEFAULT_SASJS_BUILD_FOLDER = "sasjsbuild";
export declare const DEFAULT_SASJS_RESULTS_FOLDER = "sasjsresults";
export declare const validateServerType: (serverType: any) => ServerType;
export declare const validateTargetName: (targetName: string) => string;
export declare const validateServerUrl: (serverUrl: string) => string;
export declare const validateHttpsAgentOptions: (httpsAgentOptions: HttpsAgentOptions) => HttpsAgentOptions | undefined;
export declare const validateAppLoc: (appLoc: string) => string;
export declare const validateDocConfig: (docConfig: DocConfig) => DocConfig;
export declare const validateAuthConfig: (authConfig: AuthConfig) => AuthConfig;
export declare const validateAuthConfigSas9: (authConfigSas9: AuthConfigSas9) => AuthConfigSas9;
export declare const validateBuildConfig: (buildConfig: BuildConfig, defaultName: string) => BuildConfig;
export declare const validateServiceConfig: (serviceConfig: ServiceConfig) => ServiceConfig;
export declare const validateTestConfig: (testConfig: TestConfig) => TestConfig;
export declare const validateJobConfig: (jobConfig: JobConfig) => JobConfig;
export declare const validateDeployConfig: (deployConfig: DeployConfig) => DeployConfig;
export declare const validateStreamConfig: (streamConfig: StreamConfig) => StreamConfig;
export declare const validateContextName: (contextName: string, serverType: ServerType) => string;
export declare const validateServerName: (serverName: string, serverType: ServerType) => string;
export declare const validateSyncFolder: (syncFolder: string) => string | undefined;
export declare const validateRepositoryName: (repositoryName: string, serverType: ServerType) => string;
export declare const validateSyncDirectories: (syncDirectories: SyncDirectoryMap[]) => SyncDirectoryMap[];
export declare const validateSasjsBuildFolder: (folderName: any) => string;
export declare const validateSasjsResultsFolder: (folderName: any) => string;
