"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.decodeFromBase64 = exports.encodeToBase64 = void 0;
const crypto_1 = __importDefault(require("crypto"));
const PREFIX = '{sasjs_encoded}';
const encodeToBase64 = (str) => {
    const randomString = crypto_1.default.randomBytes(100).toString('hex');
    const encodedPassword = Buffer.from(randomString + str).toString('base64');
    return PREFIX + encodedPassword;
};
exports.encodeToBase64 = encodeToBase64;
const decodeFromBase64 = (str) => {
    if (str.startsWith(PREFIX)) {
        str = str.replace(/^{sasjs_encoded}/, '');
        const decodedPassword = Buffer.from(str, 'base64').toString();
        return decodedPassword.substring(200);
    }
    return str;
};
exports.decodeFromBase64 = decodeFromBase64;
//# sourceMappingURL=base64.js.map