"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getTreeExample = exports.isFileTree = void 0;
const types_1 = require("../types");
const isFileTree = (arg) => arg &&
    arg.members &&
    Array.isArray(arg.members) &&
    arg.members.filter((member) => !isServiceMember(member) &&
        !isFileMember(member) &&
        !isFolderMember(member)).length === 0;
exports.isFileTree = isFileTree;
const isServiceMember = (arg) => arg &&
    typeof arg.name === 'string' &&
    arg.type === types_1.MemberType.service &&
    typeof arg.code === 'string';
const isFileMember = (arg) => arg &&
    typeof arg.name === 'string' &&
    arg.type === types_1.MemberType.file &&
    typeof arg.code === 'string';
const isFolderMember = (arg) => arg &&
    typeof arg.name === 'string' &&
    arg.type === types_1.MemberType.folder &&
    arg.members &&
    Array.isArray(arg.members) &&
    arg.members.filter((member) => !isServiceMember(member) &&
        !isFileMember(member) &&
        !isFolderMember(member)).length === 0;
const getTreeExample = () => ({
    members: [
        {
            name: 'jobs',
            type: types_1.MemberType.folder,
            members: [
                {
                    name: 'extract',
                    type: types_1.MemberType.folder,
                    members: [
                        {
                            name: 'makedata1',
                            type: types_1.MemberType.service,
                            code: '%put Hello World!;'
                        }
                    ]
                }
            ]
        }
    ]
});
exports.getTreeExample = getTreeExample;
//# sourceMappingURL=fileTree.js.map