"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.generatePathForSas = exports.getMacrosPath = exports.escapeWinSlashes = exports.isLinux = exports.isWindows = exports.uniqArray = exports.uuidv4 = exports.asyncForEach = void 0;
const path_1 = __importDefault(require("path"));
function asyncForEach(array, callback) {
    return __awaiter(this, void 0, void 0, function* () {
        for (let index = 0; index < array.length; index++) {
            yield callback(array[index], index, array);
        }
    });
}
exports.asyncForEach = asyncForEach;
const uuidv4 = () => 'xxxxxxxx-xxxx-4xxx-yxxx-xxxxxxxxxxxx'.replace(/[xy]/g, (c) => {
    const r = (Math.random() * 16) | 0, v = c == 'x' ? r : (r & 0x3) | 0x8;
    return v.toString(16);
});
exports.uuidv4 = uuidv4;
const uniqArray = (data) => Array.from(new Set(data));
exports.uniqArray = uniqArray;
const isWindows = () => process.platform === 'win32';
exports.isWindows = isWindows;
const isLinux = () => process.platform === 'linux';
exports.isLinux = isLinux;
/**
 * replace single backslash with double backslash
 */
const escapeWinSlashes = (path) => (0, exports.isWindows)() ? path.replace(/\\/g, '\\\\') : path;
exports.escapeWinSlashes = escapeWinSlashes;
const getMacrosPath = () => path_1.default.join(__dirname, '..', 'macros');
exports.getMacrosPath = getMacrosPath;
/**
 * sas code requires forward slashes as path separator in file or folder paths.
 * So, this method replaces OS specific path separator with forward slash
 */
const generatePathForSas = (resourcePath) => resourcePath.replace(/\\/g, '/');
exports.generatePathForSas = generatePathForSas;
//# sourceMappingURL=utils.js.map